petsc-3.4.2 2013-07-02

# MatScale

Scales all elements of a matrix by a given number.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatScale(Mat mat,PetscScalar a)

Logically Collective on Mat

### Input Parameters

| mat | - the matrix to be scaled
| a | - the scaling value

### Output Parameter

mat -the scaled matrix

### See Also

MatDiagonalScale()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex39.c.html
src/ksp/ksp/examples/tutorials/ex40.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex70.c.html